## pydenticon 0.3.1

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/Pydenticon.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/Pydenticon.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/Pydenticon"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/Pydenticon"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

## pydenticon 0.3

=== debian/changelog ===
pydenticon (0.3-2) unstable; urgency=medium

  * Add a patch to convert images to RGB explicitly before saving to JPEG
    (Closes: #871079).

 -- Andrew Shadura <andrewsh@debian.org>  Sun, 03 Sep 2017 10:16:48 +0200

pydenticon (0.3-1) unstable; urgency=medium

  * Initial upload.

 -- Andrew Shadura <andrewsh@debian.org>  Sun, 12 Feb 2017 10:50:18 +0100

=== debian/control ===
Source: pydenticon
Maintainer: Andrew Shadura <andrewsh@debian.org>
Section: python
Priority: optional
Build-Depends:
 debhelper (>= 9),
 dh-python,
 python-all (>= 2.6.6-3),
 python-setuptools (>= 0.6.24),
 python3-all,
 python3-setuptools (>= 0.6.24),
 python-mock,
 python-pil,
 python3-mock,
 python3-pil
Standards-Version: 3.9.1

Package: python-pydenticon
Architecture: all
Depends:
 ${misc:Depends},
 ${python:Depends}
Provides: ${python:Provides}
Description: deterministically generate identicons in Python
 Pydenticon is a small utility library that can be used for deterministically
 generating identicons based on the hash of provided data.
 .
 The implementation is a port of the Sigil identicon implementation.
 .
 Pydenticon provides a couple of extensions of its own when compared to the
 original Sigil implementation, like:
 .
 * Ability to supply custom digest algorithms (allowing for larger identicons if
   digest provides enough entropy).
 * Ability to specify a rectangle for identicon size.
 .
 This package is for Python 2.

Package: python3-pydenticon
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends}
Description: deterministically generate identicons in Python 3
 Pydenticon is a small utility library that can be used for deterministically
 generating identicons based on the hash of provided data.
 .
 The implementation is a port of the Sigil identicon implementation.
 .
 Pydenticon provides a couple of extensions of its own when compared to the
 original Sigil implementation, like:
 .
 * Ability to supply custom digest algorithms (allowing for larger identicons if
   digest provides enough entropy).
 * Ability to specify a rectangle for identicon size.
 .
 This package is for Python 3.

## pydenticon 0.3.1

=== debian/changelog ===
pydenticon (0.3.1-2) unstable; urgency=medium

  * Team upload.
  * d/copyright: Use https protocol in Format field
  * d/control: Add Vcs-* field
  * Use debhelper-compat instead of debian/compat.
  * Drop Python 2 support.

 -- Ondřej Nový <onovy@debian.org>  Thu, 25 Jul 2019 21:01:54 +0200

pydenticon (0.3.1-1) unstable; urgency=medium

  * New upstream release
  * Set Maintainer to Debian Python Modules Team.
  * Add Homepage and Vcs-Git.

 -- Andrej Shadura <andrewsh@debian.org>  Sun, 15 Jul 2018 15:50:23 +0200

=== debian/control ===
Source: pydenticon
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Andrej Shadura <andrewsh@debian.org>
Section: python
Priority: optional
Build-Depends:
 debhelper-compat (= 9),
 dh-python,
 python3-all,
 python3-setuptools (>= 0.6.24),
 python3-mock,
 python3-pil
Standards-Version: 3.9.1
Homepage: https://github.com/azaghal/pydenticon
Vcs-Git: https://salsa.debian.org/python-team/modules/pydenticon
Vcs-Browser: https://salsa.debian.org/python-team/modules/pydenticon

Package: python3-pydenticon
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends}
Description: deterministically generate identicons in Python 3
 Pydenticon is a small utility library that can be used for deterministically
 generating identicons based on the hash of provided data.
 .
 The implementation is a port of the Sigil identicon implementation.
 .
 Pydenticon provides a couple of extensions of its own when compared to the
 original Sigil implementation, like:
 .
 * Ability to supply custom digest algorithms (allowing for larger identicons if
   digest provides enough entropy).
 * Ability to specify a rectangle for identicon size.
 .
 This package is for Python 3.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=pydenticon

%:
	dh $@ --with python3 --buildsystem=pybuild

=== debian/watch ===
version=4
https://pypi.debian.net/@PACKAGE@/ \
    @PACKAGE@@ANY_VERSION@@ARCHIVE_EXT@ debian uupdate
